Create message template
curl --request POST \
--url https://api.heyy.io/v3/message_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "whatsapp",
"messageContent": {
"body": "<string>",
"code": "<string>",
"attachments": [
{
"type": "image",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"header": "<string>",
"footer": "<string>"
},
"vendorDetails": {
"type": "whatsapp",
"addSecurityRecommendation": true,
"codeExpirationMinutes": 45,
"copyCodeButtonText": "<string>",
"autofillButtonText": "<string>",
"zeroTapTermsAccepted": true,
"supportedApps": [
{
"packageName": "<string>",
"signatureHash": "<string>"
}
]
}
}
'import requests
url = "https://api.heyy.io/v3/message_templates"
payload = {
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "whatsapp",
"messageContent": {
"body": "<string>",
"code": "<string>",
"attachments": [
{
"type": "image",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"header": "<string>",
"footer": "<string>"
},
"vendorDetails": {
"type": "whatsapp",
"addSecurityRecommendation": True,
"codeExpirationMinutes": 45,
"copyCodeButtonText": "<string>",
"autofillButtonText": "<string>",
"zeroTapTermsAccepted": True,
"supportedApps": [
{
"packageName": "<string>",
"signatureHash": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
type: 'whatsapp',
messageContent: {
body: JSON.stringify('<string>'),
code: '<string>',
attachments: [{type: 'image', fileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
header: '<string>',
footer: '<string>'
},
vendorDetails: {
type: 'whatsapp',
addSecurityRecommendation: true,
codeExpirationMinutes: 45,
copyCodeButtonText: '<string>',
autofillButtonText: '<string>',
zeroTapTermsAccepted: true,
supportedApps: [{packageName: '<string>', signatureHash: '<string>'}]
}
})
};
fetch('https://api.heyy.io/v3/message_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "string",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"name": "string",
"type": "whatsapp",
"status": "in_review",
"vendorId": "string",
"messageContent": {
"body": "string",
"code": "string",
"attachments": [],
"header": "string",
"footer": "string"
},
"variables": [],
"vendorDetails": {
"name": "string",
"language": "af",
"category": "authentication",
"status": "pending",
"addSecurityRecommendation": true,
"codeExpirationMinutes": 0,
"copyCodeButtonText": "string",
"otpType": "copy_code",
"autofillButtonText": "string",
"zeroTapTermsAccepted": true,
"supportedApps": []
},
"channelId": "string"
}
}{
"success": false,
"error": {
"messageKey": "invalid_body_params",
"message": "Invalid body params",
"invalidParams": {
"email": {
"key": "invalid_string",
"message": "Invalid email"
}
}
}
}{
"success": false,
"error": {
"messageKey": "unauthorized",
"message": "Unauthorized"
}
}{
"success": false,
"error": {
"messageKey": "insufficient_billing_plan",
"message": "Insufficient billing plan"
}
}{
"success": false,
"error": {
"messageKey": "forbidden",
"message": "Forbidden"
}
}{
"success": false,
"error": {
"messageKey": "contact_not_found",
"message": "Contact not found"
}
}{
"success": false,
"error": {
"messageKey": "too_many_requests",
"message": "Too many requests. Limit is applied per minute per tenant. Please retry after the time indicated by the X-RateLimit-Reset header."
}
}{
"success": false,
"error": {
"messageKey": "internal_error",
"message": "Oops! Something went wrong"
}
}Message Template
Create message template
POST
/
message_templates
Create message template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I